Skip to main content
PUT
/
campaigns
/
v1
/
contacts
/
{contact_id}
Update Contact
curl --request PUT \
  --url https://api-prod.interactly.ai/campaigns/v1/contacts/{contact_id} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "first_name": "<string>",
  "last_name": "<string>",
  "phone_number": "<string>",
  "email": "<string>",
  "dob": "<string>",
  "notification_preferences": {
    "call": {
      "enabled": true,
      "dnd": {}
    },
    "sms": {
      "enabled": true,
      "dnd": {}
    },
    "email": {
      "enabled": true,
      "dnd": {}
    }
  }
}
'
{
  "detail": [
    {
      "loc": [
        "<string>"
      ],
      "msg": "<string>",
      "type": "<string>"
    }
  ]
}

Authorizations

Authorization
string
header
required

Retrieve your API Key from Dashboard API Keys Section.

Path Parameters

contact_id
string
required

Contact ID

Required string length: 24
Pattern: ^[0-9a-f]{24}$
Example:

"5eb7cf5a86d9755df3a6c593"

Body

application/json

Contact data

first_name
string | null

Contact's first name

last_name
string | null

Contact's last name

phone_number
string | null

Contact's phone number

email
string | null

Contact's email address

dob
string | null

Contact's date of birth in YYYY-MM-DD format

notification_preferences
Notification Preferences · object

Notification preferences for the contact

Response

Successful Response